=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

DIST_FILES = o2cb.init o2cb.sysconfig ocfs2-tools.spec.in

include $(TOPDIR)/Postamble.make
