## ocfs2-tools 1.1.5

=== Makefile ===
--- 
+++ 
@@ -43,13 +43,12 @@
 	debian/changelog			\
 	debian/compat				\
 	debian/control				\
-	debian/ocfs2-tools.copyright		\
+	debian/copyright			\
 	debian/ocfs2-tools.docs			\
 	debian/ocfs2-tools.install		\
 	debian/ocfs2-tools.manpages		\
 	debian/ocfs2-tools.postinst		\
 	debian/ocfs2-tools.prerm		\
-	debian/ocfs2console.copyright		\
 	debian/ocfs2console.install		\
 	debian/ocfs2console.manpages		\
 	debian/ocfs2console.postinst		\
