=== libocfs2/Makefile ===
--- 
+++ 
@@ -79,7 +79,8 @@
 	sysfile.c	\
 	truncate.c	\
 	unix_io.c	\
-	unlink.c
+	unlink.c	\
+	lockid.c
 
 HFILES =				\
 	include/bitmap.h		\
