## ocfs2-tools 1.2.1

=== Makefile ===
--- 
+++ 
@@ -65,6 +65,7 @@
 	Preamble.make				\
 	Postamble.make				\
 	aclocal.m4				\
+	blkid.m4				\
 	glib-2.0.m4				\
 	python.m4				\
 	pythondev.m4				\
