## ocfs2-tools 1.3.9-0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -20,23 +20,19 @@
 COMPILE_PY = 1
 endif
 
-TOOLSARCH = $(shell $(TOPDIR)/rpmarch.guess tools $(TOPDIR))
-
-ifeq ($(TOOLSARCH),error)
-$(error could not detect architecture for tools)
-endif
-
-SUBDIRS = libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 listuuid sizetest extras patches
-
-ifdef BUILD_OCFS2CDSL
-SUBDIRS += ocfs2cdsl
-endif
+SUBDIRS = libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2cdsl listuuid sizetest extras patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console
 endif
 
 SUBDIRS += vendor
+
+PKGCONFIG_SOURCES =	\
+	o2cb.pc.in	\
+	o2dlm.pc.in	\
+	ocfs2.pc.in
+PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(PKGCONFIG_SOURCES))
 
 DEBIAN_FILES =					\
 	debian/README.Debian			\
@@ -53,6 +49,9 @@
 	debian/ocfs2console.manpages		\
 	debian/ocfs2console.postinst		\
 	debian/ocfs2console.prerm		\
+	debian/ocfs2-tools-dev.install		\
+	debian/ocfs2-tools-dev.postinst		\
+	debian/ocfs2-tools-dev.prerm		\
 	debian/rules
 
 DIST_FILES = \
@@ -67,6 +66,7 @@
 	aclocal.m4				\
 	blkid.m4				\
 	glib-2.0.m4				\
+	mbvendor.m4				\
 	python.m4				\
 	pythondev.m4				\
 	runlog.m4				\
@@ -77,9 +77,13 @@
 	install-sh				\
 	mkinstalldirs				\
 	rpmarch.guess				\
+	svnrev.guess				\
+	Vendor.make				\
+	vendor.guess				\
 	documentation/ocfs2_faq.txt		\
 	documentation/users_guide.txt		\
 	documentation/samples/cluster.conf	\
+	$(PKGCONFIG_SOURCES)			\
 	$(DEBIAN_FILES)
 
 DIST_RULES = dist-subdircreate
@@ -101,13 +105,18 @@
 	$(MAKE) dist-bye
 
 distclean: clean
-	rm -f Config.make config.status config.cache config.log
+	rm -f Config.make config.status config.cache config.log $(PKGCONFIG_FILES)
 
-srpm: dist
-	$(RPMBUILD) -bs --define "_sourcedir $(RPM_TOPDIR)" --define "_srcrpmdir $(RPM_TOPDIR)" --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOPDIR)/vendor/common/ocfs2-tools.spec
+INSTALL_RULES = install-pkgconfig
 
-rpm: srpm
-	$(RPMBUILD) --rebuild --define "pygtk_name $(PYGTK_NAME)" --define "pyversion $(PYVERSION)" --define "chkconfig_dep $(CHKCONFIG_DEP)" --define "compile_py $(COMPILE_PY)" $(TOOLSARCH) "ocfs2-tools-$(DIST_VERSION)-$(RPM_VERSION).src.rpm"
+install-pkgconfig: $(PKGCONFIG_FILES)
+	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(libdir)/pkgconfig
+	for p in $(PKGCONFIG_FILES); do \
+	  $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/pkgconfig/$$p; \
+        done
+
+
+include Vendor.make
 
 def:
 	@echo $(TOOLSARCH)
