=== debugfs.ocfs2/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 CFLAGS = -Wall -O2
 endif
 
-CFILES = main.c commands.c dump.c utils.c journal.c find_inode_paths.c dump_fs_locks.c
+CFILES = main.c commands.c dump.c utils.c journal.c find_block_inode.c find_inode_paths.c dump_fs_locks.c
 
 HFILES =			\
 	include/main.h			\
@@ -25,6 +25,7 @@
 	include/dump.h			\
 	include/utils.h			\
 	include/journal.h		\
+	include/find_block_inode.h	\
 	include/find_inode_paths.h	\
 	include/ocfs2_internals.h	\
 	include/dump_fs_locks.h
@@ -44,6 +45,6 @@
 	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include
 
 debugfs.ocfs2: $(OBJS)
-	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) -lreadline -lncurses
+	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(READLINE_LIBS) $(NCURSES_LIBS)
 
 include $(TOPDIR)/Postamble.make
