=== fswreck/Makefile ===
--- 
+++ 
@@ -16,7 +16,9 @@
 CFLAGS = -Wall -O2
 endif
 
-CFILES = main.c corrupt.c chain.c
+UNINST_PROGRAM = fswreck
+
+CFILES = main.c corrupt.c chain.c extent.c group.c inode.c local_alloc.c truncate_log.c special.c symlink.c dir.c
 
 HFILES = 			\
 	include/main.h		\
