=== libocfs2/Makefile ===
--- 
+++ 
@@ -80,7 +80,9 @@
 	truncate.c	\
 	unix_io.c	\
 	unlink.c	\
-	lockid.c
+	lockid.c	\
+	backup_super.c	\
+	feature_string.c
 
 HFILES =				\
 	include/bitmap.h		\
@@ -95,10 +97,14 @@
 	include/ocfs1_fs_compat.h	\
 	include/ocfs2_lockid.h		\
 	include/ocfs2_fs.h		\
-	include/ocfs2.h
+	include/ocfs2.h			\
+	include/feature_string.h
 
 HFILES_GEN =		\
 	include/ocfs2_err.h
+
+HEADERS_SUBDIR = ocfs2
+HEADERS = $(HFILES) $(HFILES_GEN)
 
 OBJS = $(subst .c,.o,$(CFILES)) \
 	ocfs2_err.o
@@ -111,7 +117,7 @@
 ocfs2_err.c ocfs2_err.h: ocfs2_err.et
 	compile_et ocfs2_err.et
 
-libocfs2.a: $(OBJS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
+libocfs2.a: $(OBJS)
 	rm -f $@
 	$(AR) r $@ $^
 	$(RANLIB) $@
