=== vendor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = common rhel5 sles10 rhel4 sles9 fc7

include $(TOPDIR)/Postamble.make
