=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

DIST_FILES =					\
	o2cb.init				\
	o2cb.sysconfig				\
	ocfs2.init				\
	ocfs2-tools.spec-generic.in		\
	Vendor.make

include $(TOPDIR)/Postamble.make
