=== debian/changelog ===
ocfs2-tools (1.3.9-0ubuntu1) hardy; urgency=low
  
  * Update default timeouts in template and translations files.

  * debian/rules: fix clean target to not purge upstream patches/ directory.

  * debian/control: rework Build-Depends
    - sort them: debian build specific bits first, upstream after in configure
      check order.
    - add pkg-config.
    - add libselinux1-dev and libsepol1-dev.

  * add package ocfs2-tools-static-dev to include all development headers and
    static libraries required to build ocfs2-test (and possibly other tools
    that already in development stage.

  * stop shipping local copy of mount.ocfs2.8

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 19 Nov 2007 06:53:59 +0100

ocfs2-tools (1.2.4-1) unstable; urgency=low

  * The "Lazo rosa" release.
  * New upstream release.  This version was released on Apr 6th, 2007.  Main
    changes are:
    - Allow network timeout configuration.
    - Bug fixes.
    - offsetof(3) issues have been fixed, so patches/102_stddef.h is no longer
      relevant.
  * Added debconf support for O2CB_IDLE_TIMEOUT_MS, O2CB_KEEPALIVE_DELAY_MS
    and O2CB_RECONNECT_DELAY_MS in postinst, config and templates mainly from
    Ubuntu.
  * po/es.po: While at it, updated Spanish translation.
  * po/vi.po: Updated Vietnamese translation, thanks to Clytie Siddall
    (closes: #438451).
  * po/ru.po: Updated Russian translation, thanks to Yuri Kozlov (closes:
    #438633).
  * po/fr.po: Updated French translation.  Thanks to Jean-Baka
    Domelevo-Entfellner (closes: #440579).
  * po/cs.po: Updated Czech translation.  Thanks to Miroslav Kure (closes:
    #442903).
  * Added /etc/init.d/ocfs2 in order to mount and unmount OCFS2 volumes, that I
    simply missed on past releases.  This allows to unmount OCFS2 during a
    reboot and thus avoid a panic (closes: #416550).
  * debian/rules: Removed old code for quilt patching now that we include the
    Makefile from that package.
  * This version does not fail to build twice in a row (strange...).  Closes:
    #442692.

 -- David Martínez Moreno <ender@debian.org>  Tue, 18 Sep 2007 02:02:31 +0200

ocfs2-tools (1.2.3-1) unstable; urgency=low

  * New upstream release.  This version was released on Feb 2nd, 2007.  Main
    changes are:
    - Backup superblock support added.
    - Local mount support added (with kernel 2.6.20+).
    - Heartbeat thread's IO priority can now be set (with kernel 2.6.20+).
    - Bugs fixed in fsck, debugfs and console .
  * Removed parts of debian/NEWS no longer relevant.
  * Renamed debian/README to debian/README.Debian in order to be included by
    dh_installdocs.
  * Added short description to o2cb init script in order to clean a lintian
    warning.

 -- David Martínez Moreno <ender@debian.org>  Thu, 16 Aug 2007 02:41:22 +0200

ocfs2-tools (1.2.2-1) unstable; urgency=low

  * New upstream release.  This version was released on Oct 20th, 2006.  Main
    changes are:
    - tunefs.ocfs2: Volumes can be resized offline.
    - debugfs.ocfs2: Commands bmap, findpath, ncheck and decode added.
    - Fixed bug in o2cb_ctl when adding nodes (closes: #405353).
    - Fixed lots of bugs.
  * Removed ocfs2console/blkid/blkid_types.h, that slipped in 1.2.1-1.2.
  * Acknowledged NMUs (closes: #380879, #389916).
  * Added Dutch translation (thanks, cobaco).  Closes: #436863.
  * Merged 01-manpages-typos and some parts of 02-init-typos patches upstream.
  * debian/rules: Changed dh_install to --list-missing in order to ignore
    temporally the now installed headers.
  * debian/control: Replaced Source-Version with binary:Version.

 -- David Martínez Moreno <ender@debian.org>  Wed, 15 Aug 2007 02:46:28 +0200

ocfs2-tools (1.2.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * add patches/102_stddef.h to fix FTBFS (missing #include <stddef.h> to know
    about offsetof). closes: #428949.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 18 Jul 2007 17:37:23 +0200

ocfs2-tools (1.2.1-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Fix the spelling of "milliseconds" in debconf templates
  * Unmark a string for translation. Closes: #372520
  * Debconf templates translations:
    - Czech updated. Closes: #369582
    - French updated. Closes: #374335
    - Vietnamese added. Sent during the call for updates of the NMU campaign.
    - Swedish added. Sent during the call for updates of the NMU campaign.
    - German added. Sent during the call for updates of the NMU campaign.
    - Russian added. Sent during the call for updates of the NMU campaign.
    - Brazilian Portuguese added. Sent during the call for updates
      of the NMU campaign.
    - Fix the encoding of the Spanish translation..:-)

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Dec 2006 19:49:10 +0100

ocfs2-tools (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move dh_installdeb to after dh_pysupport, to make sure
    update-python-modules is indeed called in postinst. (Closes: #388529)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Sep 2006 13:19:03 +0200

ocfs2-tools (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380879).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 31 Aug 2006 13:45:20 +0200

ocfs2-tools (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #362204, #364549).  This release also fixes
    the double-free error that new glibc triggered, so closes: #358784 as
    well.
  * Added Czech debconf translation. Thanks, Miroslav Kure. Closes: #353372.
  * Added French debconf translation. Thanks, Julien Rosal. Closes: #354274.
  * Rewrote debconf templates, rendering above changes partly useless. Thanks
    to Thomas Huriaux for the time and the patch. Closes: #352505.
  * Updated Spanish translation.
  * debian/control:
    - Added libdevmapper-dev to Build-Depends, and bumped debhelper dependency
      to >= 5.

