## ocfs2-tools 1.3.9-0ubuntu3

=== debian/changelog ===
ocfs2-tools (1.3.9-0ubuntu3) jaunty; urgency=low

  * modprobe ocfs2_stackglue module on o2cb start (LP: #283262)

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 01 Apr 2009 13:54:12 +0200

ocfs2-tools (1.3.9-0ubuntu2) jaunty; urgency=low

  * Fix build failure with -D_FORTIFY_SOURCE.
  * Rebuild for python2.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 12:09:04 +0000
